Subject: Re: bug#19479: Copyright issue

From: Stefan Monnier <[email-masked]>
Date: Fri, 09 Jan 2015 18:47:09 -0500

All this arguing just to try and avoid signing the standard document
baffles me,

        Stefan

>>>>> "Kelly" == Kelly Dean <[email-masked]> writes:

> I wrote:
>> Anyway, my patch that Glenn objected to was created in the past, not the
>> future, so at least that one is ok.

> Actually my future patches are ok too.

> http://git.savannah.gnu.org/cgit/gnulib.git/plain/doc/Copyright/disclaim.program says:
> ⌜Digital Stimulation Corporation hereby disclaims all copyright interest
>   in the program "seduce" (a program to direct assemblers to make passes at
>   compilers under GNU Emacs) written by Hugh Heffner, including both the
>   present version of the program and his/her future changes and
>   enhancements to it.⌝

> Notice the disclaimer applies to future work. Which means my disclaimer
> applying to future work is effective.

> If the FSF thinks it has to register those PD works (which would be absurd,
> but absurdity has never stopped lawyers), that's a separate issue from the
> one-time disclaimer (covering past and future work) that the
> disclaim.program file shows that the FSF does accept. It isn't any extra
> burden for the FSF compared to assignment, since obviously the FSF can only
> register intellectual property ownership of assigned works after those works
> are created too, so the FSF still has to constantly (or annually or
> whatever) send new paperwork to the copyright office even for contributors
> who have signed an assignment form. IOW, Stefan keeps the lawyers a lot
> busier than I do. ;-)

> But again, even if for some weird reason the lawyers think my disclaimer for
> future work isn't effective, it certainly is effective for my previous work,
> including my patch for bug #19479. (And if it isn't, then they're welcome to
> point out what's wrong with it, and send me a disclaimer form that _is_
> effective, which I asked for already in 2012). If necessary, I can re-date
> and re-sign it in the future to cover new work, which is fine since my
> contributions to Emacs are infrequent.